org.apache.uima.adapter.jms.activemq

## Class JmsOutputChannel.BrokerConnectionEntry

- java.lang.Object
- - org.apache.uima.adapter.jms.activemq.JmsOutputChannel.BrokerConnectionEntry

- Enclosing class:
    JmsOutputChannel

      public static class JmsOutputChannel.BrokerConnectionEntry
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrokerConnectionEntry()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEndpointConnection(Object key, JmsEndpointConnection_impl endpointConnection)`
    `boolean` | `endpointExists(Object key)`
    `String` | `getBrokerURL()`
    `javax.jms.Connection` | `getConnection()`
    `JmsOutputChannel.ConnectionTimer` | `getConnectionTimer()`
    `JmsEndpointConnection_impl` | `getEndpointConnection(Object key)`
    `void` | `removeEndpoint(Object key)`
    `void` | `setBrokerURL(String brokerURL)`
    `void` | `setConnection(javax.jms.Connection connection)`
    `void` | `setConnectionTimer(JmsOutputChannel.ConnectionTimer aConnectionTimer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BrokerConnectionEntry

          public BrokerConnectionEntry()

  - ### Method Detail

    - #### getBrokerURL

          public String getBrokerURL()

    - #### setConnectionTimer

          public void setConnectionTimer(JmsOutputChannel.ConnectionTimer aConnectionTimer)

    - #### getConnectionTimer

          public JmsOutputChannel.ConnectionTimer getConnectionTimer()

    - #### setBrokerURL

          public void setBrokerURL(String brokerURL)

    - #### getConnection

          public javax.jms.Connection getConnection()

    - #### setConnection

          public void setConnection(javax.jms.Connection connection)

    - #### addEndpointConnection

          public void addEndpointConnection(Object key,
                                            JmsEndpointConnection_impl endpointConnection)

    - #### getEndpointConnection

          public JmsEndpointConnection_impl getEndpointConnection(Object key)

    - #### endpointExists

          public boolean endpointExists(Object key)

    - #### removeEndpoint

          public void removeEndpoint(Object key)

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.